-- require "prototypes.intermediates.intermediates"

INTERMEDIATES = {
	{
		Name = "advanced-processing-unit",
		Subgroup = "circuitry",
		Enabled = false,
	},
	{
		Name = "bundled-wire",
		Subgroup = "circuitry",
		Enabled = false,
	},
	{
		Name = "rubber",
		Subgroup = "processed",
		Enabled = false,
	},
	{
		Name = "resin",
		Subgroup = "raw",
		Enabled = false,
	},
	{
		Name = "logic-diamond",
		Subgroup = "circuitry",
		Enabled = false,
	},
	{
		Name = "logic-diamond-processor",
		Subgroup = "circuitry",
		Enabled = false,
	},
	{
		Name = "stone-gear-wheel",
		Subgroup = "gears",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="limonite-ore", amount=1}},
		Recipe_Normal = {{type="item", name="stone", amount=2}},
	},
	{
		Name = "steel-gear-wheel",
		Subgroup = "gears",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="blister-steel-plate", amount=1}},
		Recipe_Normal = {{type="item", name="steel-plate", amount=1}},
	},
	{
		Name = "frame",
		Subgroup = "machine",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="iron-plate", amount=6},{type="item", name="copper-plate", amount=10},{type="item", name="electronic-circuit", amount=5}},
		Recipe_Normal = {{type="item", name="iron-plate", amount=6},{type="item", name="iron-stick", amount=10},{type="item", name="electronic-circuit", amount=5}},
	},
	{
		Name = "item-exit",
		Subgroup = "machine",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="rubber", amount=5},{type="item", name="wooden-chest", amount=1},{type="item", name="electronic-circuit", amount=1},{type="item", name="iron-plate", amount=5}},
		Recipe_Normal = {{type="item", name="rubber", amount=5},{type="item", name="wooden-chest", amount=1},{type="item", name="electronic-circuit", amount=1},{type="item", name="iron-plate", amount=5}},
	},
	{
		Name = "blade",
		Subgroup = "machine",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="limonite-ore", amount=2},{type="item", name="wood", amount=1},{type="item", name="iron-stick", amount=2}},
		Recipe_Normal = {{type="item", name="stone", amount=4},{type="item", name="wood", amount=1},{type="item", name="iron-stick", amount=2}},
	},
	{
		Name = "rotor",
		Subgroup = "machine",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="blade", amount=3},{type="item", name="iron-gear-wheel", amount=1},{type="item", name="copper-plate", amount=2}},
		Recipe_Normal = {{type="item", name="blade", amount=3},{type="item", name="stone-gear-wheel", amount=1},{type="item", name="iron-plate", amount=2}},
	},
	{
		Name = "capacitor",
		Subgroup = "power",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="iron-plate", amount=2},{type="item", name="tin-plate", amount=4}},
		Recipe_Normal = {{type="item", name="iron-plate", amount=2},{type="item", name="copper-cable", amount=4}},
	},
	{
		Name = "flux-capacitor",
		Subgroup = "power",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="zinc-plate", amount=2},{type="item", name="lead-plate", amount=4}},
		Recipe_Normal = {{type="item", name="iron-plate", amount=4},{type="item", name="copper-cable", amount=15},{type="item", name="capacitor", amount=1}},
	},
	{
		Name = "solar-cell",
		Subgroup = "power",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="iron-plate", amount=3},{type="item", name="copper-cable", amount=5},{type="item", name="zinc-plate", amount=1},{type="item", name="phosphor", amount=2}},
		Recipe_Normal = {{type="item", name="iron-plate", amount=3},{type="item", name="copper-cable", amount=5},{type="item", name="copper-plate", amount=1}},
	},
	{
		Name = "sand",
		Subgroup = "raw",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="limonite-ore", amount=1}},
		Recipe_Normal = {{type="item", name="stone", amount=1}},
	},
	{
		Name = "sandbag",
		Subgroup = "processed",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="sand", amount=10}},
		Recipe_Normal = {{type="item", name="sand", amount=25}},
	},
	{
		Name = "glass",
		Subgroup = "processed",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="sand", amount=2}},
		Recipe_Normal = {{type="item", name="sand", amount=2}},
	},
	{
		Name = "bone",
		Subgroup = "raw",
		Enabled = false,
	},
	{
		Name = "bone-charcoal",
		Subgroup = "processed",
		Enabled = false,
	},
	{
		Name = "chitin",
		Subgroup = "raw",
		Enabled = false,
	},
	{
		Name = "track",
		Subgroup = "tank",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="track-chain-link", amount=50},{type="item", name="iron-gear-wheel", amount=8}},
		Recipe_Normal = {{type="item", name="track-chain-link", amount=50},{type="item", name="iron-gear-wheel", amount=8}},
	},
	{
		Name = "track-chain-link",
		Subgroup = "tank",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="lead-plate", amount=2}},
		Recipe_Normal = {{type="item", name="iron-plate", amount=2}},
	},
	{
		Name = "hull-lower",
		Subgroup = "tank",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="iron-plate", amount=10},{type="item", name="blister-steel-plate", amount=5},{type="item", name="copper-cable", amount=15},{type="item", name="engine-unit", amount=2},{type="item", name="electronic-circuit", amount=5}},
		Recipe_Normal = {{type="item", name="iron-plate", amount=15},{type="item", name="steel-plate", amount=5},{type="item", name="copper-cable", amount=10},{type="item", name="engine-unit", amount=5},{type="item", name="electronic-circuit", amount=5}},
	},
	{
		Name = "hull-top",
		Subgroup = "tank",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="lead-plate", amount=10},{type="item", name="zinc-plate", amount=2},{type="item", name="tank-barrel", amount=2}},
		Recipe_Normal = {{type="item", name="steel-plate", amount=10},{type="item", name="copper-plate", amount=2},{type="item", name="tank-barrel", amount=2}},
	},
	{
		Name = "tank-barrel",
		Subgroup = "tank",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="blister-steel-plate", amount=15}},
		Recipe_Normal = {{type="item", name="steel-plate", amount=8}},
	},
	{
		Name = "turret-base",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="battery", amount=5},{type="item", name="zinc-plate", amount=4},{type="item", name="electronic-circuit", amount=1},{type="item", name="frame", amount=1}},
		Recipe_Normal = {{type="item", name="battery", amount=5},{type="item", name="copper-plate", amount=4},{type="item", name="electronic-circuit", amount=1},{type="item", name="frame", amount=1}},
	},
	{
		Name = "turret-stock",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="blister-steel-plate", amount=2},{type="item", name="lead-gear-wheel", amount=5},{type="item", name="electronic-circuit", amount=5},{type="item", name="capacitor", amount=1}},
		Recipe_Normal = {{type="item", name="steel-plate", amount=2},{type="item", name="iron-gear-wheel", amount=5},{type="item", name="electronic-circuit", amount=5},{type="item", name="capacitor", amount=1}},
	},
	{
		Name = "turret-guidance-01",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="iron-plate", amount=2},{type="item", name="copper-plate", amount=2},{type="item", name="electronic-circuit", amount=1}},
		Recipe_Normal = {{type="item", name="iron-plate", amount=2},{type="item", name="copper-plate", amount=2},{type="item", name="electronic-circuit", amount=1}},
	},
  --[[
	{
		Name = "turret-guidance-02",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="turret-guidance-01", amount=1},{type="item", name="tin-plate", amount=4},{type="item", name="advanced-circuit", amount=1}},
		Recipe_Normal = {{type="item", name="turret-guidance-01", amount=1},{type="item", name="copper-plate", amount=4},{type="item", name="advanced-circuit", amount=1}},
	},
	{
		Name = "turret-guidance-03",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="turret-guidance-02", amount=1},{type="item", name="lead-plate", amount=4},{type="item", name="processing-unit", amount=1}},
		Recipe_Normal = {{type="item", name="turret-guidance-02", amount=1},{type="item", name="copper-plate", amount=4},{type="item", name="processing-unit", amount=1}},
	},
	{
		Name = "turret-guidance-04",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="steel-plate", amount=5},{type="item", name="zinc-plate", amount=4},{type="item", name="electronic-circuit", amount=1}},
		Recipe_Normal = {{type="item", name="steel-plate", amount=5},{type="item", name="copper-plate", amount=4},{type="item", name="electronic-circuit", amount=1}},
	},
	{
		Name = "turret-guidance-05",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="turret-guidance-04", amount=1},{type="item", name="tin-plate", amount=4},{type="item", name="advanced-circuit", amount=1}},
		Recipe_Normal = {{type="item", name="turret-guidance-04", amount=1},{type="item", name="copper-plate", amount=4},{type="item", name="advanced-circuit", amount=1}},
	},
	{
		Name = "turret-guidance-06",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="turret-guidance-05", amount=1},{type="item", name="lead-plate", amount=4},{type="item", name="processing-unit", amount=1}},
		Recipe_Normal = {{type="item", name="turret-guidance-05", amount=1},{type="item", name="copper-plate", amount=4},{type="item", name="processing-unit", amount=1}},
	},
	{
		Name = "turret-guidance-07",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="steel-plate", amount=5},{type="item", name="zinc-plate", amount=4},{type="item", name="electronic-circuit", amount=1}},
		Recipe_Normal = {{type="item", name="steel-plate", amount=5},{type="item", name="copper-plate", amount=4},{type="item", name="electronic-circuit", amount=1}},
	},
	{
		Name = "turret-guidance-08",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="turret-guidance-07", amount=1},{type="item", name="tin-plate", amount=4},{type="item", name="advanced-circuit", amount=1}},
		Recipe_Normal = {{type="item", name="turret-guidance-07", amount=1},{type="item", name="copper-plate", amount=4},{type="item", name="advanced-circuit", amount=1}},
	},
	{
		Name = "turret-guidance-09",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="turret-guidance-08", amount=1},{type="item", name="lead-plate", amount=4},{type="item", name="processing-unit", amount=1}},
		Recipe_Normal = {{type="item", name="turret-guidance-08", amount=1},{type="item", name="copper-plate", amount=4},{type="item", name="processing-unit", amount=1}},
	},
	{
		Name = "turret-guidance-10",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="steel-plate", amount=5},{type="item", name="zinc-plate", amount=4},{type="item", name="electronic-circuit", amount=1}},
		Recipe_Normal = {{type="item", name="steel-plate", amount=5},{type="item", name="copper-plate", amount=4},{type="item", name="electronic-circuit", amount=1}},
	},
	{
		Name = "turret-guidance-11",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="turret-guidance-10", amount=1},{type="item", name="tin-plate", amount=4},{type="item", name="advanced-circuit", amount=1}},
		Recipe_Normal = {{type="item", name="turret-guidance-10", amount=1},{type="item", name="copper-plate", amount=4},{type="item", name="advanced-circuit", amount=1}},
	},
	{
		Name = "turret-guidance-12",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="turret-guidance-11", amount=1},{type="item", name="lead-plate", amount=4},{type="item", name="processing-unit", amount=1}},
		Recipe_Normal = {{type="item", name="turret-guidance-11", amount=1},{type="item", name="copper-plate", amount=4},{type="item", name="processing-unit", amount=1}},
	},
	{
		Name = "turret-guidance-21",
		Subgroup = "turret",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="iron-plate", amount=2},{type="item", name="copper-plate", amount=1},{type="item", name="electronic-circuit", amount=1}},
		Recipe_Normal = {{type="item", name="iron-plate", amount=2},{type="item", name="copper-plate", amount=1},{type="item", name="electronic-circuit", amount=1}},
	},]]
	{
		Name = "gearbox",
		Subgroup = "all",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="iron-plate", amount=2},{type="item", name="iron-gear-wheel", amount=2},{type="item", name="pipe", amount=2},{type="item", name="basic-circuit-board", amount=1}},
		Recipe_Normal = {{type="item", name="iron-plate", amount=2},{type="item", name="stone-gear-wheel", amount=2},{type="item", name="pipe", amount=2},{type="item", name="basic-circuit-board", amount=1}},
	},
	{
		Name = "heater",
		Subgroup = "all",
		Enabled = false,
		Recipe = true,
		Recipe_Metallurgy = {{type="item", name="copper-plate", amount=2},{type="item", name="pipe", amount=2},{type="item", name="basic-circuit-board", amount=1}},
		Recipe_Normal = {{type="item", name="copper-plate", amount=2},{type="item", name="pipe", amount=2},{type="item", name="basic-circuit-board", amount=1}},
	},
	{
		Name = "track",
		Subgroup = "machine",
		Enabled = false,
	},
	{
		Name = "track",
		Subgroup = "tank",
		Enabled = false,
	},
	{
		Name = "track",
		Subgroup = "tank",
		Enabled = false,
	},
	{
		Name = "track",
		Subgroup = "tank",
		Enabled = false,
	},
	{
		Name = "track",
		Subgroup = "tank",
		Enabled = false,
	},
	{
		Name = "track",
		Subgroup = "tank",
		Enabled = false,
	},
	{
		Name = "track",
		Subgroup = "tank",
		Enabled = false,
	},
	{
		Name = "track",
		Subgroup = "tank",
		Enabled = false,
	},
	{
		Name = "track",
		Subgroup = "tank",
		Enabled = false,
	},
	{
		Name = "track",
		Subgroup = "tank",
		Enabled = false,
	},
}
